## gworkspace 0.8.8

=== debian/changelog ===
gworkspace (0.8.8-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Re-encode changelog entry for 0.8.7-1 as UTF-8 (closes: #694421).

 -- Colin Watson <cjwatson@debian.org>  Tue, 04 Jun 2013 11:10:22 +0100

gworkspace (0.8.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with GCC-4.7": add patch from Yavor Doganov
    (Closes: #667874)

 -- gregor herrmann <gregoa@debian.org>  Sat, 26 May 2012 18:51:22 +0200

gworkspace (0.8.8-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.
  * Change section to gnustep.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Fri, 03 Sep 2010 12:57:23 +0200

gworkspace (0.8.7-1) experimental; urgency=low

  * New upstream version.
  * Update my email address.
  * Update homepage address.
  * Update debian/copyright.

  [Hubert Chathi]
  * Add suggests openoffice.org in gnustep-app-wrappers.
  * Add build-depends on libsqlite3-dev.
 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 01 Oct 2008 13:33:35 +0200

gworkspace (0.8.6-1) unstable; urgency=low

  * New upstream version.
  * GNUstep transition.
    + Updated debian/rules.
  * debian/compat: Bump version, no changes needed.
  * Updated debian/copyright.
  * Updated debian menu files.
  * Added a desktop file.
  * Removed clipbook.app package.
  * Removed ggv.app from gnustep-apps-wrappers. (Closes: #384231)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 31 Oct 2007 09:30:35 +0100

gworkspace (0.8.3-2) unstable; urgency=low

  * Apply patch for popplerkit instead of pdfkit from Hubert.
  * Add Hubert to Uploaders.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu,  2 Nov 2006 22:50:14 +0100

gworkspace (0.8.3-1) unstable; urgency=low

  * New upstream version. (Closes: #387505)
  * Bump standards version.
  * Updated build-depends.
  * Switched me between Maintainer and Uploaders.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 15 Sep 2006 14:59:36 +0200

gworkspace (0.7.0-1.2) unstable; urgency=low

  * Remove me as uploader.
  * Do not write to user directory during build. Closes: #355570.

 -- Matthias Klose <doko@debian.org>  Fri,  7 Jul 2006 22:58:35 +0000

gworkspace (0.7.0-1.1) unstable; urgency=low

  * NMU to rebuild against new GNUstep libraries (Closes: #350078).
    - suggests: preferences.app instead of preferences (renamed).
  * Fix FTBFS by adding "../.." to the includes path for GWRemote (Closes:
    #327430).

 -- Hubert Chan <hubert@uhoreg.ca>  Tue, 21 Feb 2006 23:25:28 -0700

gworkspace (0.7.0-1) unstable; urgency=low

  * New upstream release (Closes: #286954).
  * New Maintainers and Co-Maintainers.
  * gworkspace.app now suggests (not recommends) gworkspace-apps-wrappers.
  * gworkspace.app now recommends preferences, wrapperfactory.app,
     preview.app, textedit.app, viewpdf.app, zipper.app, cynthiune.app.
  * gworkspace-apps-wrappers now suggests imagemagick, lyx-common,
     abiword-common, alsa-utils, bluefish, emacsen, galeon, gedit,
     gnome-gv, gimp, gnumeric, gqview, konqueror, easytag, nedit,
     sox, vim, nvi, xchat, xfig, xine-ui, xmms, xpdf-reader.
  * Overrides inappropriate linda warnings.
  * Remove Desktop.app wrapper, icon, manpage and menu entry:
     Desktop is no more an app.
  * Update debian/gworkspace.app.README.Debian (Thanks to Jonathan Shipley).

 -- Eric Heintzmann <eric@gnustep.fr.st>  Fri, 18 Mar 2005 20:26:40 +0100

gworkspace (0.6.5-3) unstable; urgency=low

  * gworkspace.app recommends gworkspace-apps-wrappers not apps-wrappers.
  * gworkspace-apps-wrappers recommends gworkspace.app not gworkspace.
  * gwremote.app suggests gworkspace.app not gworkspace.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Thu,  9 Dec 2004 19:18:03 +0100

gworkspace (0.6.5-2) unstable; urgency=low

  * Rebuild using latest GNUstep Core packages
    and new pdfkit.framework package.
  * As suggested by Gurkan Sengun rename binary packages:
    - gworkspace -> gworkspace.app
    - clipbook -> clipbook.app (Closes: #241618)
    - apps-wrappers -> gworkspace-apps-wrappers (Closes: #241624)
    - gwremote -> gwremote.app
  * As suggested by Gurkan don't suffix wrapper and menu entry.
  * Upload in experimental.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Wed, 24 Nov 2004 18:00:22 +0100

gworkspace (0.6.5-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Shipley <jon@windj.ath.cx>  Mon, 11 Oct 2004 12:13:06 +0100

gworkspace (0.6.3-4) unstable; urgency=high

  * Tighten build dependency on libgnustep-gui0-dev.

 -- Matthias Klose <doko@debian.org>  Fri,  6 Aug 2004 08:23:39 +0200

gworkspace (0.6.3-3) unstable; urgency=medium

  * debian/control:
    - Rebuid using latest GNUstep Core packages (Closes: #259667).
    - Bump Standards-Version to 3.6.1.1.
    - Add file in Build-Depends field.
  * debian/rules:
    - First install GWorkspace then build GWRemote.
    - New wrappers for GWorkspace.app, ClipBook.app and GWRemote.app.
  * debian/*.menu:
    - Add ".app" suffix to application names.
    - No more source GNUstep.sh.
  * Update manpages and README.Debian files.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Sun, 18 Jul 2004 22:13:14 +0200

gworkspace (0.6.3-2) unstable; urgency=low

  * debian/rules: Update CC (Closes: #242501).
  * debian/control: Update Build-Depends (Closes: #241839).

 -- Eric Heintzmann <eric@gnustep.fr.st>  Sat, 10 Apr 2004 21:10:57 +0000

gworkspace (0.6.3-1) unstable; urgency=low

  * New upstream release
  * Update Readme.Debian, menu

 -- Eric Heintzmann <eric@gnustep.fr.st>  Tue, 17 Feb 2004 17:36:46 +0100

gworkspace (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Update debian/gworkspace.sh wrapper script.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Thu, 13 Nov 2003 05:35:28 +0100

gworkspace (0.6-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version 3.6.1.

 -- Eric Heintzmann <eric@gnustep.fr.st>  Mon, 13 Oct 2003 17:44:59 +0200

gworkspace (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version 3.6.0.

