=== debian/control ===
Source: gworkspace
Section: gnustep
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Uploaders: Eric Heintzmann <eric@gnustep.fr.st>, Jonathan Shipley <jon@windj.ath.cx>, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>, Hubert Chan <uhoreg@debian.org>
Build-Depends: debhelper (>= 7), libgnustep-gui-dev (>= 0.12.0), libpopplerkit-dev, file
Standards-Version: 3.9.1
Homepage: http://www.gnustep.org/experience/GWorkspace.html

Package: gworkspace.app
Section: x11
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: gworkspace
Replaces: gworkspace
Recommends: preferences.app, wrapperfactory.app, preview.app, textedit.app, viewpdf.app, zipper.app, cynthiune.app
Suggests: gworkspace-apps-wrappers
Description: GNUstep Workspace Manager
 GWorkspace is the official GNUstep workspace manager. It is a clone
 of NeXT's workspace manager. GWorkspace is probably one of the most
 useful and usable workspace managers available on any platform,
 owing to its well-designed interface and the natural, consistent
 design that it inherits from the GNUstep framework.

Package: gworkspace-apps-wrappers
Section: x11
Architecture: all
Conflicts: gworkspace (<< 0.4.5-1), apps-wrappers
Recommends: gworkspace.app
Suggests: imagemagick, lyx-common, alsa-utils, gimp, gnumeric, konqueror, easytag, nedit, sox, vim | nvi, xfig, xine-ui
Replaces: apps-wrappers
Description: Application wrappers for GWorkspace
 A few wrapper scripts to enable usage of non-GNUstep applications
 within a GNUstep environment.
