=== debian/watch ===
version=3
http://www.gnustep.it/enrico/gworkspace/gworkspace-(.*)\.tar\.gz
