## gworkspace 0.9.2

=== debian/changelog ===
gworkspace (0.9.2-1) unstable; urgency=medium

  * New upstream release:
    - Compatible with current GNUstep libraries (Closes: #749757).
    - Moving big folders is faster (Closes: #315269).
    - Correct Attrbitues inspector behaviour (Closes: #315279).
  * Ack NMUs, thanks gregor herrmann and Colin Watson.
  * debian/control (Maintainer): Set to the GNUstep team.
    (Uploaders): Add myself and remove Hubert as per his request.
    (Build-Depends): Bump debhelper requirement to >= 9.  Require
    libgnustep-gui-dev >= 0.24.  Remove libpopplerkit-dev (PDFKit is
    needed, which is not in Debian) and file.  Add libsqlite3-dev and
    libpreferencepanes-dev for GWMetadata.  Add imagemagick for the icons
    conversion.
    (mdfinder.app, gworkspace-common, gworkspace-dbg): New packages;
    enable GWMetadata and provide a -dbg package.
    (Vcs-Git, Vcs-Browser): New fields.
    (Section): Remove unnecessary binary package fields.
    (Depends): Add ${misc:Depends} and ${gnustep:Depends}.
    (Conflicts, Replaces): Remove; obsolete.
    (Recommends): Replace preview.app with price.app and preferences.app
    with systempreferences.app (Closes: #564677).  Move wrapperfactory.app
    to gworkspace-apps-wrappers' Recommends.
    (Standards-Version): Claim compliance with 3.9.5 as of this release.
  * debian/watch: Track ftp.gnustep.org.
  * debian/compat: Set to 9.
  * debian/patches/debian-changes-0.8.8-1: Delete; spurious result from
    improper clean.
  * debian/patches/667874.patch: Remove; fixed upstream.
  * debian/patches/link-libs.patch: New, link all needed libraries.
  * debian/patches/series: Update.
  * debian/rules: Rewrite for modern dh.  Move all images to /usr/share.
    Enable hardening.  Create symlinks for the manpages.
  * debian/gworkspace.app.install:
  * debian/mdfinder.app.install:
  * debian/mdfinder.app.manpages:
  * debian/mdfinder.app.menu:
  * debian/MDFinder.desktop:
  * debian/MDFinder.1:
  * debian/mdfind.1: New file.
  * debian/ClipBook.1:
  * debian/ClipBook.xpm:
  * debian/Desktop.app.1:
  * debian/Desktop.app.xpm:
  * debian/GWRemote.1:
  * debian/GWRemote.xpm:
  * debian/GWorkspace.xpm:
  * debian/gworkspace.app.lintian-overrides:
  * debian/clipbook.app.lintian-overrides:
  * debian/clipbook.app.menu:
  * debian/clipbook.app.postinst.debhelper:
  * debian/clipbook.app.postrm.debhelper: Delete.
  * debian/source/lintian-overrides: New file; override
    configure-generated-file-in-source.
  * debian/gwoskspace-apps-wrappers.install: New file; install the
    apps wrappers under /usr/lib, not /lib.  Thanks Andreas Beckmann
    (Closes: #689545).
  * debian/preinst: New file; handle the move of Resources to /usr/share.
  * debian/gworkspace.app.README.Debian: Delete wrong reference to the
    "defaults" tool which has been in /usr/bin since quite some time.
    Thanks Michael P. Soulier (Closes: #728265).
  * debian/gworkspace.app.menu: Fix title.
  * debian/GWorkspace.desktop: Make it valid, add Keywords field and use
    full path of the icon.
  * debian/GWorkspace.1: Provide explanation for the supporting programs.
  * debian/copyright: Rewrite in format 1.0.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 17 Jul 2014 09:43:51 +0300
