=== debian/control ===
Source: gworkspace
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Eric Heintzmann <eric@gnustep.fr.st>,
	   Jonathan Shipley <jon@windj.ath.cx>,
	   Gürkan Sengün <gurkan@phys.ethz.ch>,
	   Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 9),
	       libgnustep-gui-dev (>= 0.24),
	       libpreferencepanes-dev,
	       libsqlite3-dev,
	       imagemagick
Standards-Version: 3.9.5
Homepage: http://www.gnustep.org/experience/GWorkspace.html
Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gworkspace.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gworkspace.git

Package: gworkspace.app
Architecture: any
Depends: gworkspace-common (= ${source:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: systempreferences.app,
	    price.app,
	    textedit.app,
	    viewpdf.app,
	    zipper.app,
	    cynthiune.app
Suggests: gworkspace-apps-wrappers
Description: GNUstep Workspace Manager
 GWorkspace is the official GNUstep workspace manager. It is a clone
 of NeXT's workspace manager. GWorkspace is probably one of the most
 useful and usable workspace managers available on any platform,
 owing to its well-designed interface and the natural, consistent
 design that it inherits from the GNUstep framework.

Package: gworkspace-common
Architecture: all
Depends: ${misc:Depends},
	 ${gnustep:Depends}
Recommends: gworkspace.app
Breaks: gworkspace.app (<< 0.9.2)
Replaces: gworkspace.app (<< 0.9.2)
Description: GNUstep Workspace Manager - common files
 GWorkspace is the official GNUstep workspace manager.
 .
 This package contains the architecture-independent files; it is not
 useful on its own.

Package: mdfinder.app
Architecture: any
Depends: gworkspace.app (= ${binary:Version}),
	 unzip,
	 ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: systempreferences.app
Description: GNUstep Finder and system-wide search system
 MDFinder is a an application to search items already indexed by the
 GWMetadata indexing system, a GNUstep implementation of MacOS X's
 proprietary Spotlight.  Searches can be saved and are automatically
 updated if the corresponding files change.  Indexing is done in the
 background and is switched off by default.  To enable it and
 configure the search path, use the dedicated module in
 the SystemPreferences application.

Package: gworkspace-apps-wrappers
Architecture: all
Depends: ${misc:Depends},
	 ${gnustep:Depends}
Recommends: gworkspace.app,
	    wrapperfactory.app,
Suggests: abiword,
	  alsa-utils,
	  bluefish,
	  emacs,
	  gedit,
	  gimp,
	  gnumeric,
	  iceweasel,
	  imagemagick,
	  konqueror,
	  lyx,
	  nedit,
	  sox,
	  vim | nvi,
	  xchat,
	  xfig,
	  xine-ui,
	  xpdf
Description: Application wrappers for GWorkspace
 A few wrapper scripts to enable usage of non-GNUstep applications
 within a GNUstep environment.
 .
 More wrappers can be made with wrapperfactory.app.

Package: gworkspace-dbg
Section: debug
Priority: extra
Architecture: any
Depends: gworkspace.app (= ${binary:Version}) | mdfinder.app (= ${binary:Version}),
	 ${misc:Depends},
	 ${gnustep:Depends}
Description: GNUstep Workspace Manager - debugging symbols
 GWorkspace is GNUstep's workspace manager.
 .
 This package provides the detached debugging symbols for GWorkspace
 and all of its supporting tools and libraries.
