=== debian/watch ===
version=3
opts=pasv \
  ftp://ftp.gnustep.org/pub/gnustep/usr-apps/gworkspace-(.*)\.tar\.gz
