## gworkspace 0.9.3

=== debian/changelog ===
gworkspace (0.9.3-1build1) yakkety; urgency=medium

  * No-change rebuild for gnustep-gui 0.25

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Sep 2016 21:11:49 +0000

gworkspace (0.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #805019).
  * Bump Standards-Version to 3.9.6 in debian/control file.
  * Update uploader (myself) address in debian/control file.
  * Don't hardcode LDFLAGS in debian/rules (let dpkg-buildflags do the job).
  * use dh $@ --with autotools-dev in debian/rules file,
    and thus add autotool-dev to Build-Depends in debian/control file.
  * Provide a debian/source/options file with a dpkg-source argument to ignore
    config.log, config.status, config.h, and GNUmakefile autogenerated files
    (and thus remove dh_clean_overrides target in debian/rules file).
  * According to debian policy 9.1.1,move application wrappers and
    Resources dirs to /usr/share/GNUstep/ subdirs:
    - update and provide new debian/*.install files
    - use dh_symlink and dpkg-maintainer-script (and thus add dependency
      to dpkg (>=1.17.4) to create symlink from old to new locations.
      (provide new debian/*.links and debian/*.maintscript)
    - provide a new private script (debian/generate.sh) to autogenerate
      *.install, *.links and *.maintscript files.
    - clean corresponding *.lintian-overrides files.
    - remove old preinst script.
    - clean debian/rules file.from old unneeded code (Closes: #806044)..
  * Override dh_shlibdeps in debian/rules to help it to find private libs.
  * Remove debian/patches/link-libs.patch: not needed anymore.
  * Don't move framework libs (or symlinks) in /usr/lib/gworkspace anymore:
    let them in /usr/lib where gworkstace app and tools looking for then
  * update gworkspace.lintian-overrides because we don't split private
    frameworks into shared lib packages:
    - add package-name-doesnt-match-sonames tag 
    - add non-dev-pkg-with-shlib-symlink tag
  * According with lintian and #741573 don't install menu file any longer.

 -- Eric Heintzmann <heintzmann.eric@free.fr>  Fri, 06 Nov 2015 19:20:01 +0100
