=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnustep
 Priority: optional
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
-Uploaders: Eric Heintzmann <eric@gnustep.fr.st>,
+Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
 	   Jonathan Shipley <jon@windj.ath.cx>,
 	   Gürkan Sengün <gurkan@phys.ethz.ch>,
 	   Yavor Doganov <yavor@gnu.org>
@@ -10,8 +10,9 @@
 	       libgnustep-gui-dev (>= 0.24),
 	       libpreferencepanes-dev,
 	       libsqlite3-dev,
+	       autotools-dev,
 	       imagemagick
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gnustep.org/experience/GWorkspace.html
 Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gworkspace.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gworkspace.git
@@ -19,9 +20,9 @@
 Package: gworkspace.app
 Architecture: any
 Depends: gworkspace-common (= ${source:Version}),
+	 dpkg (>= 1.17.14),
 	 ${shlibs:Depends},
-	 ${misc:Depends},
-	 ${gnustep:Depends}
+	 ${misc:Depends}
 Recommends: systempreferences.app,
 	    price.app,
 	    textedit.app,
@@ -38,8 +39,7 @@
 
 Package: gworkspace-common
 Architecture: all
-Depends: ${misc:Depends},
-	 ${gnustep:Depends}
+Depends: ${misc:Depends}
 Recommends: gworkspace.app
 Breaks: gworkspace.app (<< 0.9.2)
 Replaces: gworkspace.app (<< 0.9.2)
@@ -51,11 +51,11 @@
 
 Package: mdfinder.app
 Architecture: any
-Depends: gworkspace.app (= ${binary:Version}),
+Depends: dpkg (>= 1.17.14),
+	 gworkspace.app (= ${binary:Version}),
 	 unzip,
 	 ${shlibs:Depends},
-	 ${misc:Depends},
-	 ${gnustep:Depends}
+	 ${misc:Depends}
 Recommends: systempreferences.app
 Description: GNUstep Finder and system-wide search system
  MDFinder is a an application to search items already indexed by the
@@ -68,8 +68,8 @@
 
 Package: gworkspace-apps-wrappers
 Architecture: all
-Depends: ${misc:Depends},
-	 ${gnustep:Depends}
+Depends: dpkg (>= 1.17.14),
+	 ${misc:Depends}
 Recommends: gworkspace.app,
 	    wrapperfactory.app,
 Suggests: abiword,
@@ -101,8 +101,7 @@
 Priority: extra
 Architecture: any
 Depends: gworkspace.app (= ${binary:Version}) | mdfinder.app (= ${binary:Version}),
-	 ${misc:Depends},
-	 ${gnustep:Depends}
+	 ${misc:Depends}
 Description: GNUstep Workspace Manager - debugging symbols
  GWorkspace is GNUstep's workspace manager.
  .
