## gworkspace 0.9.4

=== debian/changelog ===
gworkspace (0.9.4-3) unstable; urgency=medium

  * debian/patches/gcc-10.patch: New; fix FTBFS with GCC 10
    (Closes: #957324).
  * debian/patches/series: Update.
  * debian/control (Build-Depends): Switch to the debhelper-compat
    mechanism; bump compat level to 13.  Drop gnustep-make; required
    version is available in buster.  Add imagemagick for icon conversion.
    (Rules-Requires-Root): Set to "no".
    (gworkspace-common): Mark as M-A: foreign.
    (gworkspace-apps-wrappers): Replace suggested iceweasel package with
    firefox-esr | firefox.  Mark as M-A: foreign.
  * debian/compat: Delete.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Remove -Wl,--as-needed;
    default as of bullseye.
    (d_app): Define for convenience.
    (override_dh_auto_configure): Pass --with-sh=/bin/sh; hopefully it'll
    fix the unreproducible build.
    (override_dh_auto_build): Support "terse" in DEB_BUILD_OPTIONS.
    (override_dh_auto_install): Convert app icons to PNG format; fixes
    AppStream errors.
    (override_dh_strip): Remove.
  * debian/gworkspace-apps-wrappers.install: Replace iceweasel with
    firefox.  Skip documentation for aplay and xine wrappers; irrelevant
    and only causes lintian warnings.
  * debian/gworkspace-apps-wrappers.links: Replace iceweasel with firefox.
  * debian/mdfinder.app.install: Add forgotten .desktop file.
  * debian/MDFinder.desktop: Use the PNG icon.
  * debian/GWorkspace.desktop: Likewise.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 22 Jun 2020 16:19:33 +0300

gworkspace (0.9.4-2) unstable; urgency=medium

  * Bump standards version to 4.5.0.
  * Fix Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 04 Feb 2020 12:11:39 +0100

gworkspace (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Bump to 11.
  * debian/control (Uploaders): Change Gürkan's family name as requested.
    (Build-Depends): Require debhelper >= 11 and drop autotools-dev.
    Remove imagemagick which was only needed for the icon  conversion.
    Require gnustep-make >= 2.7.0-3 for noopt handling.  Remove obsolete
    libgnustep-gui-dev version requirement.  Add libpopplerkit-dev for the
    PDF inspector.
    (Depends): Remove obsolete dpkg dependency.
    (gworkspace-common): Remove obsolete Breaks/Replaces.
    (gnustep-apps-wrappers): Suggest calibre and coccinella.
    (gworkspace-dbg): Remove in favour of automatic -dbgsym packages.
    (Vcs-Git, Vcs-Browser): Use secure/canonical URIs.
    (Standards-Version): Claim compliance with 4.1.2 as of this release.
  * debian/gworkspace.app.install:
  * debian/gworkspace.app.links:
  * debian/gworkspace-common.install: Remove .xpm icon, resizer tool and
    thumbnailer service which got merged into the respective bundles.
    Handle the addition of the PDF inspector.
  * debian/mdfinder.app.install: Remove .xpm icon.
  * debian/gworkspace-apps-wrappers.install:
  * debian/gworkspace-apps-wrappers.links: Add calibre and coccinella.
  * debian/rules: Use default hardening and dh sequence.  Restore
    maintainer LDFLAGS and install all libraries in /usr/lib/gworkspace.
    (override_dh_auto_build): Don't generate XPM icons.  Use dh_auto_build
    instead of $(MAKE) to actually get parallel building.
    (override_dh_auto_install): Pass GNUSTEP_SYSTEM_LIBRARIES set to the
    desired value to overcome gnustep-make's inability to handle private
    libraries/frameworks.
    (override_dh_installman): Pass -p explicitly so that the "all" buildd
    does not create dangling symlinks (Closes: #841780).  Perhaps a better
    alternative is to rename the override as -arch or just move the
    manpages to gworkspace-common.
    (override_dh_fixperms): Handle .plist files as well.
    (override_dh_missing): Pass --list-missing.
    (override_dh_strip): Pass --dbgsym-migration.
    (override_dh_makeshlibs): Pass -n; all libraries are private.
  * debian/patches/link-libs.patch: New, link all needed libraries.
  * debian/patches/spelling-errors.patch: New, fix some spelling errors.
  * debian/patches/incompatible-pointer-types.patch:
  * debian/patches/misc-compiler-warnings.patch: New patches.
  * debian/patches/ftbfs-hurd.patch: New; fix FTBFS on GNU/Hurd, thanks
    Svante Signell (Closes: #767847).
  * debian/patches/popplerkit.patch: New; resurrect ancient patch by
    Hubert Chathi to use PopplerKit for the PDF inspector.
  * debian/patches/series: New file.
  * debian/gworkspace-apps-wrappers.maintscript:
  * debian/gworkspace.app.maintscript:
  * debian/mdfinder.app.mainscript: Delete; not necessary anymore.
  * debian/source/options: Remove .xpm files.
  * debian/mdfinder.app.menu: Delete.
  * debian/gworkspace.app.lintian-overrides: Delete, no longer needed.
  * debian/mdfinder.app.lintian-overrides: New; some false positives.
  * debian/GWorkspace.1: Fix typo and remove section about resizer.
  * debian/changelog: Whitespace cleanup.
  * debian/copyright: Update copyright years; use https for format URL.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 24 Dec 2017 09:18:38 +0200
