=== debian/control ===
--- 
+++ 
@@ -4,23 +4,23 @@
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
 	   Jonathan Shipley <jon@windj.ath.cx>,
-	   Gürkan Sengün <gurkan@phys.ethz.ch>,
+	   Gürkan Myczko <gurkan@phys.ethz.ch>,
 	   Yavor Doganov <yavor@gnu.org>
-Build-Depends: debhelper (>= 9),
-	       libgnustep-gui-dev (>= 0.24),
+Build-Depends: debhelper-compat (= 13),
+	       imagemagick,
+	       libgnustep-gui-dev,
 	       libpreferencepanes-dev,
-	       libsqlite3-dev,
-	       autotools-dev,
-	       imagemagick
-Standards-Version: 3.9.6
+	       libpopplerkit-dev,
+	       libsqlite3-dev
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/gnustep-team/gworkspace.git
+Vcs-Browser: https://salsa.debian.org/gnustep-team/gworkspace
 Homepage: http://www.gnustep.org/experience/GWorkspace.html
-Vcs-Git: git://anonscm.debian.org/pkg-gnustep/gworkspace.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gworkspace.git
 
 Package: gworkspace.app
 Architecture: any
 Depends: gworkspace-common (= ${source:Version}),
-	 dpkg (>= 1.17.14),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
 Recommends: systempreferences.app,
@@ -39,10 +39,9 @@
 
 Package: gworkspace-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: gworkspace.app
-Breaks: gworkspace.app (<< 0.9.2)
-Replaces: gworkspace.app (<< 0.9.2)
 Description: GNUstep Workspace Manager - common files
  GWorkspace is the official GNUstep workspace manager.
  .
@@ -51,8 +50,7 @@
 
 Package: mdfinder.app
 Architecture: any
-Depends: dpkg (>= 1.17.14),
-	 gworkspace.app (= ${binary:Version}),
+Depends: gworkspace.app (= ${binary:Version}),
 	 unzip,
 	 ${shlibs:Depends},
 	 ${misc:Depends}
@@ -68,18 +66,20 @@
 
 Package: gworkspace-apps-wrappers
 Architecture: all
-Depends: dpkg (>= 1.17.14),
-	 ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Recommends: gworkspace.app,
 	    wrapperfactory.app,
 Suggests: abiword,
 	  alsa-utils,
 	  bluefish,
+	  calibre,
+	  coccinella,
 	  emacs,
+	  firefox-esr | firefox,
 	  gedit,
 	  gimp,
 	  gnumeric,
-	  iceweasel,
 	  imagemagick,
 	  konqueror,
 	  lyx,
@@ -95,15 +95,3 @@
  within a GNUstep environment.
  .
  More wrappers can be made with wrapperfactory.app.
-
-Package: gworkspace-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: gworkspace.app (= ${binary:Version}) | mdfinder.app (= ${binary:Version}),
-	 ${misc:Depends}
-Description: GNUstep Workspace Manager - debugging symbols
- GWorkspace is GNUstep's workspace manager.
- .
- This package provides the detached debugging symbols for GWorkspace
- and all of its supporting tools and libraries.
